Remove products from the store
POST
/api/v1/workspaces/{workspaceId}/channel-connections/{connectionId}/products/remove
const url = 'https://api.crossmart.io/api/v1/workspaces/example/channel-connections/example/products/remove';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"productIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.crossmart.io/api/v1/workspaces/example/channel-connections/example/products/remove \ --header 'Content-Type: application/json' \ --data '{ "productIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'They are delisted at once, and the automatic rule leaves them out.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspaceId
required
string
connectionId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
productIds
required
Array<string>
Example generated
{ "productIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ]}Responses
Section titled “Responses”Media typeapplication/json
object
count
required
Products added or removed
number
Example generated
{ "count": 1}